GET api/NTCosCompany/GetArticleCorporation?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfCorporationArticleDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CorporationArticleDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"ArticleTypeId": 2,
"ArticleTypeCode": "sample string 3",
"CorporationCode": "sample string 4",
"StandardArticleText": "sample string 5",
"ArticleText": "sample string 6",
"ArticleTypeName": "sample string 7",
"Sequence": 8,
"IsCustom": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:54.4238435-07:00",
"DateUpdated": "2026-08-04T14:31:54.4238435-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
},
{
"Id": 1,
"ArticleTypeId": 2,
"ArticleTypeCode": "sample string 3",
"CorporationCode": "sample string 4",
"StandardArticleText": "sample string 5",
"ArticleText": "sample string 6",
"ArticleTypeName": "sample string 7",
"Sequence": 8,
"IsCustom": true,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:31:54.4238435-07:00",
"DateUpdated": "2026-08-04T14:31:54.4238435-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}